<div class="formgrid grid col-8 col-offset-2 flex-column">
  <form [formGroup]="formGroup">
    <div class="top-group formgrid align-items-center grid mt-4">
      <div class="field col-12 md:col-6 lg:col-3">
        <label for="flight-name" class="block">Nazwa lotu</label>
        <input class="w-full" [formControlName]="flightName" id="flight-name" placeholder="Wpisz nazwę" pInputText/>
      </div>
      <div class="field col-12 md:col-6 lg:col-3">
        <label for="flight-date" class="block">Data lotu</label>
        <p-calendar [formControlName]="flightDate" styleClass="w-full" placeholder="RRRR/MM/DD - RRRR/MM/DD"
                    dateFormat="yy-mm-dd" selectionMode="range" [showIcon]="true" id="flight-date"></p-calendar>
      </div>
      <div class="field-checkbox col-12 md:col-6 lg:col-3 mt-4">
        <p-checkbox [binary]="true" id="success-checkbox" [formControlName]="success"></p-checkbox>
        <label for="success-checkbox">Pokaż tylko udane loty</label>
      </div>
      <div class="col-12 md:col-6 lg:col-3">
        <button class="w-full mt-2" pButton pRipple type="submit" id="search-btn" (click)="onSubmit()" label="szukaj"></button>
      </div>
    </div>
  </form>
  <p-divider></p-divider>
  <div class="grid gap-4 mt-5 flex-column col">
    <div class="col">
      <div id="launch-wrapper" class="grid border-round-3xl card-shadow mt-4" *ngFor="let launch of launchesListToView">
        <div
          class="flex special-br justify-content-center align-items-center col-12 md:col-6 lg:col h-20rem card-bg-color">
          <img class="p-3 card-image" src="{{launch.links.patch.small}}">
        </div>
        <div class="flex flex-column justify-content-center border-round-right-3xl h-20rem col">
          <div class="ml-4 text-xl">
            <p class="m-1"># {{launch.flight_number}}</p>
            <p class="m-1 font-bold">{{launch.name}}</p>
            <p class="m-1">{{launch.date_local | date: 'yyyy-MM-dd'}}</p>
            <button pButton pRipple type="button"
                    id="more-btn"
                    class="p-button-outlined px-6 ml-1" label="więcej >"
                    [routerLink]="[detailsRouterLink]"
                    [queryParams]="{currentId: launch.id}"
            >
            </button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="flex justify-content-end">
    <button pButton pRipple type="button" label="Załaduj więcej >" id="load-more-btn" (click)="showMoreLaunches()"
            class="p-button-secondary p-button-text my-4"></button>
  </div>
</div>

